Package com.independentsoft.office.odf.styles

# Class StyleMapping

java.lang.Object
com.independentsoft.office.odf.styles.StyleMapping

public class StyleMapping extends Object
Represents a condition, which if met, results in the mapping of a style.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleMapping()`
  Initializes a new instance of the StyleMapping class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StyleMapping`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getAppliedStyle()`
  Gets the style to apply when the condition is true.
  `String`
  `getBaseCellAddress()`
  Gets an absolute cell address with a table name the base cell for relative addresses in formulas.
  `String`
  `getCondition()`
  Gets the condition that triggers a style map.
  `void`
  `setAppliedStyle​(String appliedStyle)`
  Sets the style to apply when the condition is true.
  `void`
  `setBaseCellAddress​(String baseCellAddress)`
  Sets an absolute cell address with a table name the base cell for relative addresses in formulas.
  `void`
  `setCondition​(String condition)`
  Sets the condition that triggers a style map.
  `String`
  `toString()`
  Converts the value of the current StyleMapping object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StyleMapping

    public StyleMapping()
    Initializes a new instance of the StyleMapping class.

- ## Method Details

  - ### clone

    public StyleMapping clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current StyleMapping object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getCondition

    public String getCondition()
    Gets the condition that triggers a style map.
    Returns:
      the condition

  - ### setCondition

    public void setCondition​(String condition)
    Sets the condition that triggers a style map.
    Parameters:
      `condition` - the new condition

  - ### getAppliedStyle

    public String getAppliedStyle()
    Gets the style to apply when the condition is true.
    Returns:
      the applied style

  - ### setAppliedStyle

    public void setAppliedStyle​(String appliedStyle)
    Sets the style to apply when the condition is true.
    Parameters:
      `appliedStyle` - the new applied style

  - ### getBaseCellAddress

    public String getBaseCellAddress()
    Gets an absolute cell address with a table name the base cell for relative addresses in formulas.
    Returns:
      the base cell address

  - ### setBaseCellAddress

    public void setBaseCellAddress​(String baseCellAddress)
    Sets an absolute cell address with a table name the base cell for relative addresses in formulas.
    Parameters:
      `baseCellAddress` - the new base cell address